### Function

# Soup headers_parse_status_line

#### Declaration [src]

    gboolean
    soup_headers_parse_status_line (
      const char* status_line,
      SoupHTTPVersion* ver,
      guint* status_code,
      char** reason_phrase
    )

#### Description [src]

Parses the HTTP Status-Line string in `status_line` into `ver`, `status_code`, and `reason_phrase`.

`status_line` must be terminated by either “\0” or “\r\n”.

#### Parameters

`status_line`

  Type: `const char*`

  An HTTP Status-Line.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`ver`

  Type: `SoupHTTPVersion`

  If non-`NULL`, will be filled in with the HTTP version.

  The argument will be set by the function.
  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

`status_code`

  Type: `guint*`

  If non-`NULL`, will be filled in with the status code.

  The argument will be set by the function.
  The argument can be `NULL`.

`reason_phrase`

  Type: `char**`

  If non-`NULL`, will be filled in with the reason phrase.

  The argument will be set by the function.
  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `status_line` was parsed successfully.